%define		realname PyICU
%define		module icu
Name:		python-%{module}
Version:	1.5
Release:	%mkrel 6
Summary:	Python extension wrapping IBM's ICU C++ libraries
Group:		Development/Python
License:	MIT
URL:		http://pyicu.osafoundation.org/
Source0:	http://pypi.python.org/packages/source/P/%{realname}/%{realname}-%{version}.tar.gz

BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	libicu-devel

%description
PyICU is Python extension wrapping IBM's International Components 
for Unicode C++ library (ICU). ICU is a mature, widely used set of 
C/C++ and Java libraries providing Unicode and Globalization support 
for software applications. ICU is widely portable and gives applications 
the same results on all platforms and between C/C++ and Javasoftware. 

%package -n python3-%{module}
Summary:	Python extension wrapping IBM's ICU C++ libraries
Group:		Development/Python
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools

%description -n python3-%{module}
PyICU is Python extension wrapping IBM's International Components 
for Unicode C++ library (ICU). ICU is a mature, widely used set of 
C/C++ and Java libraries providing Unicode and Globalization support 
for software applications. ICU is widely portable and gives applications 
the same results on all platforms and between C/C++ and Javasoftware.

%prep
%setup -q -n %{realname}-%{version}

cp -a . %{py3dir}

%build
%{__python} setup.py build 

pushd %{py3dir}
%{__python3} setup.py build 
popd

# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

%check
%{__python} setup.py test

pushd %{py3dir}
%{__python3} setup.py test
popd

%install
%{__python} setup.py install --skip-build --root %{buildroot}
# Remove tests
rm -rf %{buildroot}%{python_sitearch}/tests

pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
# Remove tests
rm -rf %{buildroot}%{python3_sitearch}/tests
popd

%files
%defattr(-,root,root,-)
%doc LICENSE README CHANGES CREDITS
%{python_sitearch}/

%files -n python3-%{module}
%defattr(-,root,root,-)
%doc LICENSE README CHANGES CREDITS
%{python3_sitearch}/



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.5-6.mga4
+ Revision: 543561
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.5-5.mga4
+ Revision: 498722
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Sep 27 2013 philippem <philippem> 1.5-4.mga4
+ Revision: 488013
- correct the : we don't want to provide private python extension libs

* Thu Sep 26 2013 fwang <fwang> 1.5-3.mga4
+ Revision: 486823
- rebuild for icu 52

* Tue Sep 24 2013 philippem <philippem> 1.5-2.mga4
+ Revision: 485610
- add Python 3

* Fri Jun 28 2013 tv <tv> 1.5-1.mga4
+ Revision: 448123
- imported package python-icu


* Fri Jun 28 2013 Thierry Vignaud <tv@mageia.org> 1.5-1.mga4
- imported from FC

